Package org.apache.bcel.generic

# Class IREM

java.lang.Object
org.apache.bcel.generic.Instruction
org.apache.bcel.generic.ArithmeticInstruction
org.apache.bcel.generic.IREM

All Implemented Interfaces:
  `Cloneable`, `ExceptionThrower`, `StackConsumer`, `StackProducer`, `TypedInstruction`

public class IREM extends ArithmeticInstruction implements ExceptionThrower
IREM - Remainder of int

     Stack: ..., value1, value2 -> result

- ## Field Summary

  ### Fields inherited from class org.apache.bcel.generic.Instruction

  `length, opcode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IREM()`
  Remainder of ints

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(Visitor v)`
  Call corresponding visitor method(s).
  `Class<?>[]`
  `getExceptions()`

  ### Methods inherited from class org.apache.bcel.generic.ArithmeticInstruction

  `getType`

  ### Methods inherited from class org.apache.bcel.generic.Instruction

  `consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, hashCode, initFromFile, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.bcel.generic.StackConsumer

  `consumeStack`

  ### Methods inherited from interface org.apache.bcel.generic.StackProducer

  `produceStack`

- ## Constructor Details

  - ### IREM

    public IREM()
    Remainder of ints

- ## Method Details

  - ### accept

    public void accept(Visitor v)
    Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
    Specified by:
      `accept` in class `Instruction`
    Parameters:
      `v` - Visitor object

  - ### getExceptions

    public Class<?>[] getExceptions()
    Specified by:
      `getExceptions` in interface `ExceptionThrower`
    Returns:
      exceptions this instruction may cause